﻿.h-1 {
    height: 50px;
}

.h-2 {
    height: 100px;
}

.h-3 {
    height: 150px;
}

.h-4 {
    height: 200px;
}

.h-5 {
    height: 250px;
}

.h-6 {
    height: 300px;
}

.h-7 {
    height: 350px;
}

.h-8 {
    height: 400px;
}

.h-9 {
    height: 450px;
}

.h-10 {
    height: 500px;
}

.p-30 {
    padding: 30px !important;
}

.fz-48 {
    font-size: 48px !important;
}

.col-71787e {
    color: #71787e !important;
}

.col-ee7700 {
    color: #EE7700 !important;
}

.col-ee7801 {
    color: #EE7801 !important;
}

.col-4bd1ef {
    color: #4BD1EF !important;
}

.col-41c46d {
    color: #41C46D !important;
}

.col-22bb55 {
    color: #22BB55 !important;
}

.col-f5222d {
    color: #F5222D !important;
}

.col-1890ff {
    color: #1890FF !important;
}

.col-ee4444 {
    color: #EE4444 !important;
}

.col-33ccee {
    color: #33CCEE !important;
}

.col-71787e {
    color: #71787e !important;
}

.col-007bff {
    color: #007BFF !important;
}

.col-white {
    color: white !important;
}

.bg-col-f4f4f5 {
    background: #F4F4F5 !important;
}

.bg-col-black {
    background: #00000080;
}

.col-red {
    color: #ED1C25;
}

.z-index-1056 {
    z-index: 1056;
}

.notificationList {
    min-width: 35rem;
    position: absolute;
    inset: 0px 0px auto auto;
    margin: 0px;
    transform: translate3d(0px, 49.3333px, 0px);
}

.cursor-pointer {
    cursor: pointer;
}

.confirm-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* modal xác nhận nằm trên cùng */
#confirmModal {
    z-index: 2060 !important;
}

/* backdrop thứ 2 (của confirm modal) */
.modal-backdrop.show:nth-of-type(2) {
    z-index: 2055 !important;
}

#confirmModal i {
    font-size: 55px;
    color: #ED1C25;
}

#confirmModal .modal-content {
    height: 270px;
}

#modal-confirm-title {
    margin: 15px 0 10px;
    color: #262626;
    font-weight: 500;
    font-size: 24px;
    line-height: 28px;
    text-align: center;
}

#modal-confirm-description {
    color: #595959;
    font-size: 14px;
    margin-bottom: 20px;
    font-weight: 400;
    line-height: 22px;
    text-align: center;
}

#modal-confirm-no {
    background: #fff;
    border: 1px solid #ED1C25;
    color: #ED1C25;
}

#modal-confirm-yes {
    background: #ED1C25;
    color: #fff;
}

#modal-confirm-no, #modal-confirm-yes {
    transition: all 0.3s ease-in-out;
}

    #modal-confirm-no:hover {
        border: 1px solid #ED1C25;
        background: #fff;
        color: #ED1C25;
        transform: scale(1.05);
        box-shadow: 0px 4px 10px rgba(237, 28, 37, 0.3);
    }

    #modal-confirm-yes:hover {
        background: #D81B24; /* Màu đỏ đậm hơn một chút */
        color: #fff;
        transform: scale(1.05);
        box-shadow: 0px 4px 10px rgba(237, 28, 37, 0.3);
    }

.reset-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* modal xác nhận nằm trên cùng */
#resetModal {
    z-index: 2065 !important;
}

    #resetModal i {
        font-size: 55px;
        color: #f8aa14;
    }

    #resetModal .modal-content {
        height: 270px;
    }

#modal-reset-title {
    margin: 15px 0 10px;
    color: #262626;
    font-weight: 500;
    font-size: 24px;
    line-height: 28px;
    text-align: center;
}

#modal-reset-description {
    color: #595959;
    font-size: 14px;
    margin-bottom: 20px;
    font-weight: 400;
    line-height: 22px;
    text-align: center;
}

#modal-reset-no {
    background: #fff;
    border: 1px solid #f8aa14;
    color: #f8aa14;
}

#modal-reset-yes {
    background: #f8aa14;
    color: #fff;
}

#modal-reset-no, #modal-reset-yes {
    transition: all 0.3s ease-in-out;
}

    #modal-reset-no:hover {
        border: 1px solid #f8aa14;
        background: #fff;
        color: black;
        transform: scale(1.05);
        box-shadow: 0px 4px 10px rgba(237, 28, 37, 0.3);
    }

    #modal-reset-yes:hover {
        background: #f8aa14; /* Màu đỏ đậm hơn một chút */
        color: #fff;
        transform: scale(1.05);
        box-shadow: 0px 4px 10px rgba(237, 28, 37, 0.3);
    }

.modal-dialog-form {
    width: 380px;
    height: 270px;
}

.toast-success {
    background-color: #28a745; /* Green */
    opacity: 0.85;
    color: white;
}

.toast-error {
    background-color: #dc3545; /* Red */
    opacity: 0.7;
    color: white;
}

.toast-warning {
    background-color: #f8aa14; /* Red */
    opacity: 0.7;
    color: white;
}

.rounded-pill-custom {
    font-weight: bold;
    width: 100px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.7rem;
}

.un-seen {
    color: #3ea2ff;
}

.remind-color {
    background-color: #fdecec;
    color: #e53935;
}

.completed-color {
    background-color: #d3f1dd;
    color: #3cc269;
}

.present-to-sign-color {
    background-color: #d6f5fc;
    color: #45d0ef;
}

.confirm-color {
    background-color: #fce4cc;
    color: #ee7a06;
}

.modal-profile {
    --cui-modal-width: 800px;
}

.border-dashed {
    border: 1px dashed black !important;
    width: 100%;
    height: 100px;
}

.profile-sign-icon {
    width: 50px;
    height: 50px;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
}

.img-fluid {
    display: block;
    margin: 0 auto;
}

.select2-container--open {
    z-index: 9999;
}

.custom-alert {
    color: red;
    font-size: 0.85rem;
    margin: unset;
    display: none;
    padding-left: 0.5rem;
}

.form-check-input:checked {
    background-color: #0F44A0;
    border-color: #0F44A0;
}
/*-------------------------------------Card----------------------------------*/
.card .card-header.search, .card .card-footer.search {
    background-color: #F4F4F5;
    border: none;
}

.card {
    box-shadow: 0px 0px 11.38px 0px #E6E6E6 !important;
    border: none !important;
}

.dt-paging-button.page-item.active > button {
    background: #0F44A0;
    border-color: #0F44A0;
}
/*-------------------------------------BTN----------------------------------*/

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #0F44A0;
}

.form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #ffffff;
}

.btn.btn-add, .btn-search, .btn-save {
    color: white;
    background-color: var(--btn-color);
    border: 1px solid var(--btn-color);
    font-weight: var(--label-font-weight);
    font-size: 1rem;
    transition: all 0.1s ease-in-out;
    padding: 0.5rem 1rem !important;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

.btn-add i {
    margin-right: 0.25rem;
}

.btn.btn-add:hover, .btn-search:hover, .btn-save:hover {
    font-weight: 700;
    background-color: var(--btn-color-hover);
    border-color: var(--btn-color-hover);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.btn.btn-delete, .btn-cancel {
    color: var(--btn-opposite-text-color);
    background-color: var(--btn-opposite-color);
    border-color: var(--btn-opposite-border-color);
    font-size: 16px;
    font-weight: var(--label-font-weight);
    transition: all 0.1s ease-in-out;
    padding: 0.5rem 1rem !important;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    position: relative;
}

    .btn.btn-delete:hover,
    .btn-cancel:hover {
        font-weight: 700;
        background-color: var(--btn-opposite-color-hover);
        color: var(--btn-opposite-text-color-hover);
        border-color: var(--btn-opposite-color-hover);
        border: 1px solid var(--btn-opposite-border-color);
    }

.btn-dayofweek {
    border-radius: 35px;
    border: solid 2px #d1d3d5;
    position: relative;
    padding: 0.375rem 0.75rem;
}

    .btn-dayofweek:hover {
        background-color: #0F44A0;
        color: white;
        border: solid 2px #0F44A0;
    }

    .btn-dayofweek.active {
        border: solid 2px #ed1c25;
        background-color: #0F44A0;
        color: white;
    }

    .btn-dayofweek.done {
        border: solid 2px #2eb553;
    }

        .btn-dayofweek.done:before {
            font-family: "Font Awesome 6 Free";
            content: "\f058";
            color: #2eb553;
            font-weight: 900;
            position: absolute;
            top: -0.7rem;
            right: -0.3rem;
            font-size: 1rem;
        }

    .btn-dayofweek.unDone {
        border: solid 2px #ed1c25;
    }

        .btn-dayofweek.unDone:before {
            font-family: "Font Awesome 6 Free";
            content: "\f057";
            color: #ed1c25;
            font-weight: 900;
            position: absolute;
            top: -0.7rem;
            right: -0.3rem;
            font-size: 1rem;
        }

.btn-alert-close {
    background-color: #FF9500;
    color: white;
    border: none;
    border-radius: 10px;
    padding: 0.25rem 0.5rem;
    width: 80%;
    height: 3rem;
}

    .btn-alert-close:hover {
        background-color: #FF9500;
        color: white;
        font-weight: 600;
    }

.card-title-search {
    color: #0F44A0;
}


.modal-header {
    background-color: #F4F4F5;
    color: #0F44A0;
}

.dishName {
    color: #0F44A0 !important;
    background-color: #0F44A01A !important;
    font-weight: 600;
}

.col-username {
    min-width: 150px !important;
}

.col-datetime {
    min-width: 170px !important;
}

.col-w-1 {
    min-width: 50px !important;
}

.col-w-2 {
    min-width: 75px !important;
}

.col-w-3 {
    min-width: 100px !important;
}

.col-w-4 {
    min-width: 125px !important;
}

.col-w-5 {
    min-width: 150px !important;
}

.col-w-6 {
    min-width: 175px !important;
}

.col-w-7 {
    min-width: 200px !important;
}

.col-w-8 {
    min-width: 300px !important;
}

.col-w-9 {
    min-width: 400px !important;
}

.col-w-10 {
    min-width: 500px !important;
}

.file-area {
    position: relative;
    width: 100%;
    position: relative;
    border: 2px dashed #d1d3d5;
    border-radius: 10px;
    background-color: white;
}

    .file-area input[type=file] {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        opacity: 0;
        cursor: pointer;
    }

.file-dummy {
    pointer-events: none; /* Ngăn input file kích hoạt khi click */
    padding: 10px;
    border: 1px dashed #ccc;
    text-align: center;
    position: relative;
}

    .file-dummy.has-file button {
        pointer-events: auto; /* Bật lại cho nút */
    }

.file-area .file-dummy {
    outline: none !important;
    width: 100%;
    padding: 30px;
    background: rgba(255, 255, 255, 0.2);
    /*        border: 2px dashed rgba(255, 255, 255, 0.2);*/
    text-align: center;
    transition: background 0.3s ease-in-out;
}

    .file-area .file-dummy.has-file {
        border: 1px solid #808080;
        border-radius: 10px;
        margin: 2%;
        width: 96%;
        padding: 0.5rem;
        box-shadow: 0px 0px 11.38px 0px #E6E6E6 !important;
    }

        .file-area .file-dummy.has-file img {
            width: 50px;
            margin-left: 1rem;
            margin-right: 1rem;
        }

        .file-area .file-dummy.has-file label {
            font-weight: 600;
            font-size: 1.1rem;
        }

    .file-area .file-dummy .success {
        display: none;
    }

.file-area:hover .file-dummy {
    background: rgba(255, 255, 255, 0.1);
}

.file-dummy .delete_button_video {
    pointer-events: auto;
    position: absolute;
    top: 1rem;
    right: 1rem;
    border: none;
    border-radius: 50%;
    z-index: 10;
    font-size: 10px;
    height: 25px;
    width: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff !important;
}
/*custom nút xóa ảnh*/
.file-dummy .delete_button {
    pointer-events: auto;
    position: absolute;
    top: 1rem;
    left: 31rem;
    border: none;
    border-radius: 50%;
    z-index: 10;
    font-size: 10px;
    height: 25px;
    width: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff !important;
}

.file-dummy .btn-close {
    opacity: 1;
}

    .file-dummy .btn-close:hover {
        opacity: 0.75;
    }

.file-dummy .btn-close-color {
    background-color: #aaa !important;
}
/*------------------------------------*/
.btn-remove-file {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    background-color: #dc3545; /* Màu đỏ */
    color: white; /* Chữ trắng */
    border: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.2s;
}

    .btn-remove-file:hover {
        background-color: #c82333; /* Màu đỏ đậm khi hover */
        transform: translateY(-50%) scale(1.05); /* Chỉ phóng to nhẹ */
    }

.form-multi-select-option.form-multi-select-option-with-checkbox::before {
    display: none;
}

.form-multi-select-option.form-multi-select-option-with-checkbox {
    padding-left: 0.5rem;
}

.upsert-menu .card-header {
    background-color: #F4F4F5;
    border: none;
    padding: 0.5rem 1rem;
}

    .upsert-menu .card-header a {
        text-decoration: none;
    }

.upsert-menu .monthlyTable th {
    background-color: #0F44A0;
    color: white;
    border: 1px solid #000;
}

.upsert-menu .monthlyTable td {
    border: 1px solid #000;
    vertical-align: middle;
}

#popup-profile .modal-body .avatar-img {
    width: 70px;
    height: 70px;
}

#popup-profile .modal-body svg.c-icon {
    width: 20px;
    height: 20px;
    background-color: #6f6f6f;
    border-radius: 50%;
    padding: 2px;
    color: #d9d9d9
}

#popup-profile .modal-body .span1 {
    bottom: -40;
    right: 0;
}

#popup-profile .modal-body .span2 {
    display: block;
    background-color: #1890ff;
    color: #ffffff
}

.drop-zone {
    border: 2px dashed #007bff;
    border-radius: 10px;
    height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .drop-zone:hover {
        background-color: #f0f8ff;
    }

.upload-icon i {
    color: #007bff;
}

#imagePreview img {
    max-width: 100%;
    height: auto;
    border: 1px solid #ddd;
    padding: 5px;
    border-radius: 10px;
}

.modal-signature {
    --cui-modal-width: 300px !important;
}

.signature-text {
    height: 150px;
    width: 100%;
}

.btn-signature {
    border: dotted 1px #81919D;
    padding: 28px 16px;
}

    .btn-signature img {
        width: 70px;
    }

#selectFont {
    width: 120px;
}

.modal .modal-send-success {
    --cui-modal-width: 500px;
}

.valid::before {
    content: '\f00c'; /* Unicode cho fa-check */
    font-family: 'Font Awesome 6 Free';
    font-weight: 900; /* Đảm bảo là biểu tượng in đậm */
    color: green;
    margin-right: 5px;
}

.invalid::before {
    content: '\f00d'; /* Unicode cho fa-xmark */
    font-family: 'Font Awesome 6 Free';
    font-weight: 900;
    color: red;
    margin-right: 5px;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
    background-position: right 35px center;
}

.toggle-password {
    top: 30px;
}

#tb_dish-infor th {
    background-color: #3b601f;
    color: white;
    vertical-align: middle;
    text-align: center;
    font-weight: 600;
    font-size: 14px;
}

.table-custom td {
    text-align: center;
    vertical-align: middle;
    padding: 0px 2px;
}

.table-custom .form-select {
    margin: 0px;
    padding: 3px 2px;
}

.table-custom th {
    text-align: center;
    vertical-align: top;
}

#tb_dish-infor td {
    text-align: center;
    vertical-align: middle;
    font-weight: 600;
}

#tb_dish-infor .standard-value {
    color: #333 !important;
    background-color: #d4f0c4;
}

#tb_dish-infor .actual-value {
    color: #333 !important;
    background-color: #ffbebe;
}

#tb_dish-infor .result_pin {
    background-color: transparent;
}

#tb_dish-infor .pin-title {
    position: absolute;
    top: auto
}

.spinner {
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
